- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TAO_Protocols_Hooks Class Reference

`#include <Protocols_Hooks.h>`

Inheritance diagram for TAO_Protocols_Hooks:

[legend]
Collaboration diagram for TAO_Protocols_Hooks:

[legend]
List of all members.

## Public Member Functions
virtual | ~TAO_Protocols_Hooks (void)
| destructor
virtual void | init_hooks (TAO_ORB_Core *orb_core)=0
| Initialize the protocols hooks instance.
virtual CORBA::Boolean | set_client_network_priority (IOP::ProfileId protocol_tag, TAO_Stub *stub)=0
virtual CORBA::Boolean | set_server_network_priority (IOP::ProfileId protocol_tag, CORBA::Policy *policy)=0
virtual void | server_protocol_properties_at_orb_level (TAO_IIOP_Protocol_Properties &protocol_properties)=0
virtual void | client_protocol_properties_at_orb_level (TAO_IIOP_Protocol_Properties &protocol_properties)=0
virtual void | server_protocol_properties_at_orb_level (TAO_UIOP_Protocol_Properties &protocol_properties)=0
virtual void | client_protocol_properties_at_orb_level (TAO_UIOP_Protocol_Properties &protocol_properties)=0
virtual void | server_protocol_properties_at_orb_level (TAO_SHMIOP_Protocol_Properties &protocol_properties)=0
virtual void | client_protocol_properties_at_orb_level (TAO_SHMIOP_Protocol_Properties &protocol_properties)=0
virtual void | server_protocol_properties_at_orb_level (TAO_DIOP_Protocol_Properties &protocol_properties)=0
virtual void | client_protocol_properties_at_orb_level (TAO_DIOP_Protocol_Properties &protocol_properties)=0
virtual void | server_protocol_properties_at_orb_level (TAO_SCIOP_Protocol_Properties &protocol_properties)=0
virtual void | client_protocol_properties_at_orb_level (TAO_SCIOP_Protocol_Properties &protocol_properties)=0
virtual CORBA::Long | get_dscp_codepoint (void)=0
virtual void | rt_service_context (TAO_Stub *stub, TAO_Service_Context &service_context, CORBA::Boolean restart)=0
virtual void | add_rt_service_context_hook (TAO_Service_Context &service_context, CORBA::Policy *model_policy, CORBA::Short &client_priority)=0
virtual void | get_selector_hook (CORBA::Policy *model_policy, CORBA::Boolean &is_client_propagated, CORBA::Short &server_priority)=0
virtual void | get_selector_bands_policy_hook (CORBA::Policy *bands_policy, CORBA::Short priority, CORBA::Short &min_priority, CORBA::Short &max_priority, int &in_range)=0
Accessor and modifier to the current thread priority, used to
implement the RTCORBA::Current interface, but it is faster for some critical components. If the RTCORBA library isn't used, these operations are no-ops.
virtual int | get_thread_CORBA_priority (CORBA::Short &)=0
virtual int | get_thread_native_priority (CORBA::Short &)=0
virtual int | get_thread_CORBA_and_native_priority (CORBA::Short &, CORBA::Short &)=0
virtual int | set_thread_CORBA_priority (CORBA::Short)=0
virtual int | set_thread_native_priority (CORBA::Short)=0

## Constructor & Destructor Documentation

TAO_Protocols_Hooks::~TAO_Protocols_Hooks | ( | void |  | ) | `[virtual]`

destructor

## Member Function Documentation

virtual void TAO_Protocols_Hooks::add_rt_service_context_hook | ( | TAO_Service_Context & | service_context,
|  | CORBA::Policy * | model_policy,
|  | CORBA::Short & | client_priority |
| ) |  |  | `[pure virtual]`

Implemented in TAO_Default_Protocols_Hooks.

virtual void TAO_Protocols_Hooks::client_protocol_properties_at_orb_level | ( | TAO_SCIOP_Protocol_Properties & | protocol_properties | ) | `[pure virtual]`

Implemented in TAO_Default_Protocols_Hooks.

virtual void TAO_Protocols_Hooks::client_protocol_properties_at_orb_level | ( | TAO_DIOP_Protocol_Properties & | protocol_properties | ) | `[pure virtual]`

Implemented in TAO_Default_Protocols_Hooks.

virtual void TAO_Protocols_Hooks::client_protocol_properties_at_orb_level | ( | TAO_SHMIOP_Protocol_Properties & | protocol_properties | ) | `[pure virtual]`

Implemented in TAO_Default_Protocols_Hooks.

virtual void TAO_Protocols_Hooks::client_protocol_properties_at_orb_level | ( | TAO_UIOP_Protocol_Properties & | protocol_properties | ) | `[pure virtual]`

Implemented in TAO_Default_Protocols_Hooks.

virtual void TAO_Protocols_Hooks::client_protocol_properties_at_orb_level | ( | TAO_IIOP_Protocol_Properties & | protocol_properties | ) | `[pure virtual]`

Implemented in TAO_Default_Protocols_Hooks.

virtual CORBA::Long TAO_Protocols_Hooks::get_dscp_codepoint | ( | void |  | ) | `[pure virtual]`

Implemented in TAO_Default_Protocols_Hooks.

virtual void TAO_Protocols_Hooks::get_selector_bands_policy_hook | ( | CORBA::Policy * | bands_policy,
|  | CORBA::Short | priority,
|  | CORBA::Short & | min_priority,
|  | CORBA::Short & | max_priority,
|  | int & | in_range |
| ) |  |  | `[pure virtual]`

Implemented in TAO_Default_Protocols_Hooks.

virtual void TAO_Protocols_Hooks::get_selector_hook | ( | CORBA::Policy * | model_policy,
|  | CORBA::Boolean & | is_client_propagated,
|  | CORBA::Short & | server_priority |
| ) |  |  | `[pure virtual]`

Implemented in TAO_Default_Protocols_Hooks.

virtual int TAO_Protocols_Hooks::get_thread_CORBA_and_native_priority | ( | CORBA::Short & | ,
|  | CORBA::Short & |  |
| ) |  |  | `[pure virtual]`

Implemented in TAO_Default_Protocols_Hooks.

virtual int TAO_Protocols_Hooks::get_thread_CORBA_priority | ( | CORBA::Short & |  | ) | `[pure virtual]`

Implemented in TAO_Default_Protocols_Hooks.

virtual int TAO_Protocols_Hooks::get_thread_native_priority | ( | CORBA::Short & |  | ) | `[pure virtual]`

Implemented in TAO_Default_Protocols_Hooks.

virtual void TAO_Protocols_Hooks::init_hooks | ( | TAO_ORB_Core * | orb_core | ) | `[pure virtual]`

Initialize the protocols hooks instance.

Implemented in TAO_Default_Protocols_Hooks.

virtual void TAO_Protocols_Hooks::rt_service_context | ( | TAO_Stub * | stub,
|  | TAO_Service_Context & | service_context,
|  | CORBA::Boolean | restart |
| ) |  |  | `[pure virtual]`

Implemented in TAO_Default_Protocols_Hooks.

virtual void TAO_Protocols_Hooks::server_protocol_properties_at_orb_level | ( | TAO_SCIOP_Protocol_Properties & | protocol_properties | ) | `[pure virtual]`

Implemented in TAO_Default_Protocols_Hooks.

virtual void TAO_Protocols_Hooks::server_protocol_properties_at_orb_level | ( | TAO_DIOP_Protocol_Properties & | protocol_properties | ) | `[pure virtual]`

Implemented in TAO_Default_Protocols_Hooks.

virtual void TAO_Protocols_Hooks::server_protocol_properties_at_orb_level | ( | TAO_SHMIOP_Protocol_Properties & | protocol_properties | ) | `[pure virtual]`

Implemented in TAO_Default_Protocols_Hooks.

virtual void TAO_Protocols_Hooks::server_protocol_properties_at_orb_level | ( | TAO_UIOP_Protocol_Properties & | protocol_properties | ) | `[pure virtual]`

Implemented in TAO_Default_Protocols_Hooks.

virtual void TAO_Protocols_Hooks::server_protocol_properties_at_orb_level | ( | TAO_IIOP_Protocol_Properties & | protocol_properties | ) | `[pure virtual]`

Implemented in TAO_Default_Protocols_Hooks.

virtual CORBA::Boolean TAO_Protocols_Hooks::set_client_network_priority | ( | IOP::ProfileId | protocol_tag,
|  | TAO_Stub * | stub |
| ) |  |  | `[pure virtual]`

Implemented in TAO_Default_Protocols_Hooks.

virtual CORBA::Boolean TAO_Protocols_Hooks::set_server_network_priority | ( | IOP::ProfileId | protocol_tag,
|  | CORBA::Policy * | policy |
| ) |  |  | `[pure virtual]`

Implemented in TAO_Default_Protocols_Hooks.

virtual int TAO_Protocols_Hooks::set_thread_CORBA_priority | ( | CORBA::Short |  | ) | `[pure virtual]`

Implemented in TAO_Default_Protocols_Hooks.

virtual int TAO_Protocols_Hooks::set_thread_native_priority | ( | CORBA::Short |  | ) | `[pure virtual]`

Implemented in TAO_Default_Protocols_Hooks.

The documentation for this class was generated from the following files:

- Protocols_Hooks.h
- Protocols_Hooks.cpp